## sonobuoy delete

Deletes Kubernetes resources that were generated by a Sonobuoy run

### Synopsis

Deletes Kubernetes resources that were generated by a Sonobuoy run

```
sonobuoy delete [flags]
```

### Options

```
      --all                     In addition to deleting Sonobuoy namespaces, also clean up dangling e2e namespaces (those with 'e2e-framework' and 'e2e-run' labels).
      --context string          Context in the kubeconfig to use.
  -h, --help                    help for delete
      --kubeconfig Kubeconfig   Path to explicit kubeconfig file.
  -n, --namespace string        The namespace to run Sonobuoy in. Only one Sonobuoy run can exist per namespace simultaneously. (default "sonobuoy")
      --rbac RBACMode           Whether to enable RBAC on Sonobuoy. Valid modes are Enable, Disable, and Detect (query the server to see whether to enable RBAC). (default Detect)
      --wait int[=60]           Wait for resources to be deleted before completing. 0 indicates do not wait. By providing --wait the default is to wait up to 1 hour.
      --wait-output string      Specify the type of output Sonobuoy should produce when --wait is used. Valid modes are silent, spinner, or progress (default "Progress")
```

### Options inherited from parent commands

```
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy](sonobuoy.md)	 - Generate reports on your Kubernetes cluster by running plugins

###### Auto generated by spf13/cobra on 14-Nov-2022
